#banner {
}
#banner .img-json {
    max-width: none;
}

#environmental .color-wrapper.circle-right .dot,
#environmental .color-wrapper.circle-right svg {
    left: auto;
    right: 0vw;
}
@media screen and (min-width: 992px) {
    #environmental .color-wrapper.circle-right .dot,
    #environmental .color-wrapper.circle-right svg {
        right: 5vw;
    }
}
#environmental .icon-list {
    padding-top: 2rem;
    padding-bottom: 2rem;
}

#environmental .icon-list ul {
    display: flex;
    flex-direction: row;
    padding-top: 1rem;
    flex-wrap: wrap;
    width: 90%;
    margin: 0 auto;
}

#environmental .icon-list ul li {
    width: 20%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    text-align: center;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-bottom: 1rem;
}

#environmental .icon-list ul li .img-wrapper {
    position: relative;
    margin-bottom: 1rem;
}

#environmental .icon-list ul li .img-wrapper::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 100%;
    transform: translateY(-50%);
    width: 200%;
    border-top: 2px solid #000;
}

#environmental .icon-list ul li .img-wrapper img {
    position: relative;
}

#environmental .icon-list ul li:last-child .img-wrapper::before,
#environmental .icon-list ul li:nth-child(5) .img-wrapper::before {
    display: none;
}

#environmental .stage {
    position: relative;
    margin-top: 2rem;
}

#environmental .stage.bg-img::before {
    content: "";
    width: 105%;
    height: 105%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: absolute;
    background-size: contain;
    background-position: center center;
    background-repeat: no-repeat;
    background-image: url(../../images/pages/environmental_concerns/sline.svg);
}

#environmental .stage.bg-img:lang(en):before {
    background-image: url(../../images/pages/environmental_concerns/sline_en.svg);
    width: 115%;
    height: 115%;
    transform: translate(-50%, -50%);
}

#environmental .stage.bg-img::before {
    display: none;
}

#environmental .stage .box-left .img-json {
    padding-left: 20%;
}

#environmental .stage .desc {
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    height: 100%;
}
#environmental .stage .desc:lang(tc) {
    text-align: justify;
}

#environmental .stage .row1,
#environmental .stage .row2,
#environmental .stage .row3 {
    height: 0;
    padding-bottom: 37%;
    position: relative;
}

#environmental .stage .row1 {
    padding-bottom: 48%;
}

#environmental .stage .row2 {
    padding-bottom: 54%;
}
#environmental .stage .row1 .box-left,
#environmental .stage .row2 .box-right,
#environmental .stage .row3 .box-left {
    display: flex;
    align-items: center;
}
/* #environmental .stage .row1:lang(en) .box-left,
#environmental .stage .row2:lang(en) .box-right,
#environmental .stage .row3:lang(en) .box-left {
    display: flex;
    align-items: center;
} */

#environmental .stage .row1 .row,
#environmental .stage .row2 .row,
#environmental .stage .row3 .row {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
}

#environmental .row4,
#environmental .row5 {
    margin-top: 10rem;
}
#environmental .row4 .img-json,
#environmental .row5 .img-json {
    display: flex;
    justify-content: center;
}
#environmental .row4 .box-left {
    display: flex;
    justify-content: center;
    align-items: center;
}
#environmental .row4 .desc,
#environmental .row5 .desc {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    padding: 0 2rem;
}
#environmental .stage p:last-child {
    margin-bottom: 0;
}

#environmental .stage .box-left .img-json:lang(en) {
    padding-left: 10%;
}
#banner .box-right:lang(tc) {
    margin-top: 15rem;
}
#banner .box-right {
    margin-top: 6rem;
}

#environmental .line-box {
    position: absolute;
    width: 116%;
    height: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#environmental .stage .dot {
    width: 100px;
    height: 100px;
    position: absolute;
    z-index: 1;
}

#environmental .brown-line .dot {
    background-color: #f5f5f5;
    background-image: radial-gradient(#772616 25%, transparent 25%);
    background-position: 50% 50%;
    background-size: 120px 120px;
    top: -2.3rem;
    right: -1rem;
}

#environmental .blue-line .dot {
    background-color: #f5f5f5;
    background-image: radial-gradient(#52a7d5 25%, transparent 25%);
    background-position: 50% 50%;
    background-size: 120px 120px;
    bottom: -2.3rem;
    right: -1rem;
}

#environmental .brown-line.line-box .half-line-top,
#environmental .brown-line.line-box .half-line-bottom,
#environmental .red-line.line-box .half-line-top,
#environmental .red-line.line-box .half-line-bottom,
#environmental .blue-line.line-box .half-line-bottom,
#environmental .blue-line.line-box .half-line-top {
    position: absolute;
    width: 100%;
    height: 50%;
    top: 1px;
}

#environmental .brown-line.line-box .half-line-top {
    background-color: #772616;
    border-top-left-radius: 7rem;
    top: -1px;
    left: 0;
    width: 100%;
}
#environmental .brown-line.line-box .half-line-top::before {
    content: "";
    position: absolute;
    display: block;
    width: calc(100% - 19px);
    height: calc(100% - 20px);
    background-color: #f5f5f5;
    border-top-left-radius: 6rem;
    bottom: -1px;
    right: -1px;
}

#environmental .brown-line.line-box .half-line-bottom {
    background-color: #772616;
    border-bottom-left-radius: 7rem;
    left: 0;
    bottom: 2px;
    top: auto;
    width: 31%;
}

#environmental .brown-line.line-box .half-line-bottom::before {
    content: "";
    position: absolute;
    display: block;
    width: calc(100% - 20px);
    height: calc(100% - 20px);
    background-color: #f5f5f5;
    border-bottom-left-radius: 6rem;
    top: -2px;
    right: -1px;
}
#environmental .red-line.line-box .half-line-top {
    background-color: #a40184;
    border-top-right-radius: 7rem;
    width: 70%;
    right: 0;
    top: -1px;
}
#environmental .red-line.line-box .half-line-top::before {
    content: "";
    position: absolute;
    display: block;
    width: calc(100% - 20px);
    height: calc(100% - 20px);
    background-color: #f5f5f5;
    border-top-right-radius: 6rem;
    bottom: -2px;
    left: -1px;
}
#environmental .red-line.line-box .half-line-bottom {
    background-color: #a40184;
    border-bottom-right-radius: 7rem;
    bottom: 1px;
    right: 0;
    width: 50%;
    top: auto;
}
#environmental .red-line.line-box .half-line-bottom::before {
    content: "";
    position: absolute;
    display: block;
    width: calc(100% - 20px);
    height: calc(100% - 20px);
    background-color: #f5f5f5;
    border-bottom-right-radius: 6rem;
    top: -1px;
    left: -1px;
}
#environmental .blue-line.line-box .half-line-top {
    background-color: #52a7d5;
    border-top-left-radius: 7rem;
    top: -4px;
    left: 0;
    width: 51%;
    height: 52%;
}
#environmental .blue-line.line-box .half-line-top::before {
    content: "";
    position: absolute;
    display: block;
    width: calc(100% - 19px);
    height: calc(100% - 20px);
    background-color: #f5f5f5;
    border-top-left-radius: 6rem;
    bottom: -2px;
    right: -1px;
}

#environmental .blue-line.line-box .half-line-bottom {
    background-color: #52a7d5;
    border-bottom-left-radius: 7rem;
    left: 0;
    bottom: 2px;
    top: auto;
}
#environmental .blue-line.line-box .half-line-bottom::before {
    content: "";
    position: absolute;
    display: block;
    width: calc(100% - 19px);
    height: calc(100% - 20px);
    background-color: #f5f5f5;
    border-bottom-left-radius: 6rem;
    top: -1px;
    right: -1px;
}

/* popup */

.modal-body {
    width: 100%;
    height: 100%;
    position: relative;
    overflow: auto;
    background-color: #f5f5f5;
    color: #000;
    display: block;
}
.modal-container .modal-wrapper {
    width: 80vw;
    height: 80%;
    max-height: 600px;
    max-width: 1200px !important;
}
.modal-container .modal-wrapper .btn.arrow {
    margin-left: 1.2rem;
}
.slide-container {
    padding-top: 3rem;
    padding-bottom: 3rem;
    max-width: calc(80% - 3rem);
    margin: auto;
}
.slide-container p:last-child {
    margin-bottom: 0;
}
.slide-container table {
    width: 100%;
}

/* @media screen and (min-width: 1400px) {
    .d-xxl-none {
        display: none !important;
    }
    #environmental .stage .row1:lang(en) {
        padding-bottom: 81%;
    }
    #environmental .stage .row2:lang(en) {
        padding-bottom: 88%;
    }
    #environmental .stage .row3:lang(en) {
        padding-bottom: 62%;
    }
} */
@media screen and (min-width: 1199.98px) {
    #environmental .stage .row1 p,
    #environmental .stage .row2 p,
    #environmental .stage .row3 p {
        padding-right: 1rem;
    }
    #environmental .red-line.line-box .half-line-bottom {
        bottom: 2px;
    }
}

@media screen and (max-width: 1980px) {
    #banner .box-right:lang(en) {
        margin-top: 8vw;
    }
}
@media screen and (max-width: 1300px) {
    #banner .img-json {
        width: 170vw;
    }
}

#environmental .stage.bg-img::before {
    display: none;
}
#environmental .icon-list ul li .img-wrapper::before {
    width: calc(100% + 5rem);
}
#environmental .icon-list ul li p {
    text-align: center;
}
#environmental .icon-list ul li b {
    font-weight: 400;
}

#environmental .stage .row2 {
    margin-top: -23px;
    margin-bottom: -20px;
}

#environmental .stage .row1,
#environmental .stage .row2,
#environmental .stage .row3 {
    height: auto;
    padding: 5rem 2rem;
}
#environmental .stage .row1 .row,
#environmental .stage .row2 .row,
#environmental .stage .row3 .row {
    position: relative;
    top: auto;
    left: auto;
    transform: none;
    width: auto;
}
#environmental .line-box {
    width: 105%;
}
#popup #close-btn {
    position: absolute;
    top: -0.5rem;
    right: 1rem;
    width: 40px;
    height: 40px;
    border: 5px solid #5aa8a2;
    border-radius: 50%;
    background-color: #fff;
    color: #000;
    display: flex;
    justify-content: center;
    align-items: center;
    line-height: 1;
    cursor: pointer;
}

#popup #close-btn::before,
#popup #close-btn::after {
    content: "";
    position: absolute;
    width: 20px;
    height: 2px;
    background-color: #000;
}

#popup #close-btn::before {
    transform: rotateZ(45deg);
}

#popup #close-btn::after {
    transform: rotateZ(135deg);
}
#popup .modal-dialog {
    width: 90vw;
    max-height: 800px;
}
.modal-dialog table th:first-child,
.modal-dialog table td:first-child {
    border-left: none;
}
.modal-dialog table th,
.modal-dialog table td {
    padding: 1.5rem 1rem 1.5rem;
    border-bottom: 3px solid #5ba8a2;
    border-left: 3px solid #5ba8a2;
}
.modal-dialog a.mb-0 {
    margin-bottom: 0.5rem !important;
}
.modal-dialog table th {
    padding-top: 0;
}
.modal-dialog table th h3 {
    margin-bottom: 0;
}
.modal-dialog table tr td:first-child {
    width: 175px;
}
.modal-dialog table tr td:last-child {
    width: calc(100% - 175px);
    vertical-align: middle;
}
/* .modal-backdrop {
    background-color: rgba(0, 0, 0, 0.8);
}
.modal-backdrop.show {
    opacity: 1;
} */

/* banner */
@media screen and (min-width: 1400px) {
    #banner {
        min-height: 67rem;
    }
}
@media screen and (max-width: 1400px) {
    #banner {
        min-height: 70vw;
    }
    #banner .img-json {
        width: 150vw;
        left: 50%;
        transform: translateX(-50%);
        top: 0;
        position: absolute;
    }
    #banner .box-right {
        margin-top: 17vw;
    }
    #banner .box-right:lang(en) {
        margin-top: 5vw;
    }
}
@media screen and (max-width: 1299px) {
    #banner {
        min-height: 77vw;
        padding-bottom: 0;
    }
    #environmental {
        padding-top: 0;
        margin-top: 5rem;
    }
}

@media screen and (max-width: 1299px) and (min-width: 1099px) {
    #banner:lang(en) {
        padding-top: 26vw;
        min-height: 80vw !important;
    }
    #banner .box-right:lang(en) {
        margin-top: 0vw;
    }
    #banner .img-json:lang(en) {
        top: 5vw;
    }
}
@media screen and (max-width: 1099px) and (min-width: 992px) {
    #banner:lang(en) {
        padding-top: 26vw;
        min-height: 86vw !important;
    }
    #banner .box-right:lang(en) {
        margin-top: 0vw;
    }
    #banner .img-json:lang(en) {
        top: 9vw;
    }
}
@media screen and (max-width: 1199px) {
    #banner {
        min-height: auto !important;
    }
    #banner .box-right {
        margin-top: 3vw;
    }
}

@media screen and (max-width: 991px) {
    #banner .container {
        padding-left: 15px;
        padding-right: 15px;
    }

    #banner .desc {
        padding-right: 0;
    }
    #banner .img-json {
        position: relative;
        top: auto;
        left: auto;
        transform: none;
        width: 180%;
        margin-left: -25%;
        margin-bottom: 5rem;
    }
    #banner .box-right {
        margin-top: 0 !important;
        padding-left: 1rem;
    }
    #banner .row {
        max-width: 960px;
    }
}

/* other layout */
@media screen and (max-width: 1199px) {
    .modal-dialog .content {
        width: 100%;
        padding-bottom: 0;
        min-width: 750px;
    }
    .modal-dialog .content:lang(en) {
        min-width: 900px;
    }
    .modal-dialog .slide-container {
        overflow: auto;
    }
    #banner .box-right:lang(en) {
        margin-top: -4rem;
    }
    #environmental .icon-list ul li .img-wrapper::before {
        width: calc(100% + 3rem);
    }
    #environmental .blue-line.line-box .half-line-top {
        top: -3px;
    }
    #environmental .blue-line.line-box .half-line-top::before {
        bottom: -2px;
        right: -1px;
        width: calc(100% - 19px);
    }
}

@media screen and (max-width: 991px) {
    #environmental .desc-info {
        padding-right: 0;
        padding-left: 0;
    }
    #environmental .brown-line .dot {
        background-color: #f5f5f5;
        background-image: radial-gradient(#772616 25%, transparent 25%);
        background-position: 50% 50%;
        background-size: 120px 120px;
        top: -2.3rem;
        right: -1rem;
    }
    #environmental .line-box {
        width: 110%;
    }
    #environmental .stage .row2 .row {
        flex-direction: column-reverse;
    }
    #environmental .row4,
    #environmental .row5 {
        margin-top: 5rem;
    }
    #environmental .row4 .img-json,
    #environmental .row5 .img-json {
        margin-bottom: 3rem;
        width: 80%;
        margin-left: auto;
        margin-right: auto;
    }
    #environmental .row4 .desc,
    #environmental .row5 .desc {
        padding-left: 1rem;
        padding-right: 1rem;
    }
    #environmental .icon-list ul li .img-wrapper::before {
        width: 100%;
    }
    #environmental .brown-line.line-box .half-line-top::before {
        width: calc(100% - 20px);
    }
}

@media screen and (max-width: 767px) {
    #banner .img-json {
        width: 100%;
        margin-left: 0;
        min-height: 87vw !important;
        margin-bottom: 2rem;
    }
    #banner .box-right {
        padding-left: 15px;
        padding-right: 15px;
    }
    #environmental {
        margin-top: 0;
        padding-top: 2rem;
    }
    #environmental .color-wrapper-right {
        right: 100%;
    }
    #environmental .m-pl-auto .desc-info,
    #environmental .icon-list ul {
        padding-right: 0;
        padding-left: 0;
    }
    #environmental .desc-info p {
        margin-top: 1rem;
    }
    #environmental .icon-list ul li {
        width: 25%;
    }

    #environmental .icon-list ul li .img-wrapper::before {
        display: none !important;
    }
    #environmental .icon-list ul li:nth-child(5) .img-wrapper::before {
        display: block;
    }
    #environmental .icon-list ul li:nth-child(4) .img-wrapper::before,
    #environmental .icon-list ul li:nth-child(8) .img-wrapper::before {
        display: none;
    }
    #environmental .stage {
        padding-left: 3rem;
        padding-right: 3rem;
    }
    #environmental .stage .row1,
    #environmental .stage .row2,
    #environmental .stage .row3 {
        padding: 5rem 0rem;
    }
    #environmental .brown-line.line-box .half-line-top::before,
    #environmental .brown-line.line-box .half-line-bottom::before,
    #environmental .red-line.line-box .half-line-top::before,
    #environmental .red-line.line-box .half-line-bottom::before,
    #environmental .blue-line.line-box .half-line-top::before,
    #environmental .blue-line.line-box .half-line-bottom::before {
        width: calc(100% - 15px);
        height: calc(100% - 15px);
    }
    #environmental .brown-line.line-box .half-line-top {
        border-top-left-radius: 3rem;
    }
    #environmental .brown-line.line-box .half-line-top::before {
        border-top-left-radius: 2rem;
    }
    #environmental .brown-line.line-box .half-line-bottom {
        border-bottom-left-radius: 3rem;
    }
    #environmental .brown-line.line-box .half-line-bottom::before {
        border-bottom-left-radius: 2rem;
    }
    #environmental .red-line.line-box .half-line-top {
        border-top-right-radius: 3rem;
    }
    #environmental .red-line.line-box .half-line-top::before {
        border-top-right-radius: 2rem;
    }
    #environmental .red-line.line-box .half-line-bottom {
        border-bottom-right-radius: 3rem;
        bottom: 5px;
    }
    #environmental .red-line.line-box .half-line-bottom::before {
        border-bottom-right-radius: 2rem;
    }
    #environmental .blue-line.line-box .half-line-top {
        border-top-left-radius: 3rem;
    }
    #environmental .blue-line.line-box .half-line-top::before {
        border-top-left-radius: 2rem;
    }
    #environmental .blue-line.line-box .half-line-bottom {
        border-bottom-left-radius: 3rem;
    }
    #environmental .blue-line.line-box .half-line-bottom::before {
        border-bottom-left-radius: 2rem;
    }
    #environmental .blue-line.line-box .half-line-top {
        top: -7px;
    }
    #environmental .stage .row2 {
        margin-top: -18px;
        margin-bottom: -15px;
    }
    #environmental .line-box {
        width: 80vw;
    }
    #environmental .stage .img-json {
        padding: 0 !important;
        width: 80%;
        margin: 0 auto 2rem;
    }
    #environmental .icon-list ul li {
        width: 33.33%;
    }
    #environmental .icon-list ul li:nth-child(4) .img-wrapper::before,
    #environmental .icon-list ul li:nth-child(8) .img-wrapper::before {
        display: block;
    }
    #environmental .icon-list ul li:nth-child(3) .img-wrapper::before,
    #environmental .icon-list ul li:nth-child(6) .img-wrapper::before,
    #environmental .icon-list ul li:nth-child(9) .img-wrapper::before {
        display: none;
    }
}

@media screen and (max-width: 600px) {
    #environmental .line-box {
        width: 90vw;
    }
}
@media screen and (max-width: 576px) {
    #banner .img-json {
        margin-top: 0rem;
    }
    #banner .box-right {
        padding-left: 31px;
        padding-right: 31px;
    }
    #environmental .line-box {
        width: 92vw;
    }
    #environmental .m-pl-auto .desc-info,
    #environmental .icon-list ul {
        padding-left: 1rem;
        padding-right: 1rem;
    }
    #environmental .icon-list ul li {
        width: 50%;
    }
    .slide-container {
        max-width: 90%;
    }
    #other-feedback {
        padding-top: 3rem !important;
    }
    #environmental .color-wrapper-right {
        right: calc(100% - 15px);
    }
}

@media screen and (max-width: 370px) {
    .modal .slide-container .btn p {
        max-width: 35vw;
    }
}
